#
#

# FIXME workaround underlinking issue :(
%define _disable_ld_no_undefined 1

%define __brp_python_bytecompile %{nil}
%define url_ver %(echo %{version}|cut -d. -f1,2)

Name:		qt-creator
Version:	8.0.1
Release:	%mkrel 2
License:	LGPLv2+ and MIT
Summary:	Qt Creator is a lightweight, cross-platform integrated development environment (IDE)
Group:		Development/Other
URL:		http://qt-project.org/wiki/Category:Tools::QtCreator
Source0:	http://download.qt-project.org/official_releases/qtcreator/%{url_ver}/%{version}/qt-creator-opensource-src-%{version}.tar.xz
Source2:	Nokia-QtCreator.xml
Source3: org.qt-project.qtcreator.desktop
Patch1:		qt-creator_desktop.patch
Patch2:		qt-creator_qmake-names.patch
Patch3:      qt-creator_clang.patch

BuildRequires:	pkgconfig(Qt5Designer)
BuildRequires:	pkgconfig(Qt5Help)
BuildRequires:	pkgconfig(Qt5Qml)
BuildRequires:	pkgconfig(Qt5Quick)
BuildRequires:	pkgconfig(Qt5QuickWidgets)
BuildRequires:	pkgconfig(Qt5Script)
BuildRequires:	pkgconfig(Qt5WebKit)
BuildRequires:	pkgconfig(Qt5WebKitWidgets)
BuildRequires:	pkgconfig(Qt5X11Extras)
BuildRequires:	pkgconfig(Qt5XmlPatterns)
BuildRequires:	qtbase5-devel
BuildRequires:	qttools5
BuildRequires:	qttools5-assistant
BuildRequires:	qtquickcontrols5
BuildRequires:  python3
BuildRequires:	pkgconfig(libxml-2.0)
BuildRequires:	pkgconfig(libxslt)
BuildRequires:	pkgconfig(sqlite3)
BuildRequires:	pkgconfig(botan-1.10)
BuildRequires:	clang-devel
BuildRequires:	llvm-devel
BuildRequires:	qbs-devel

Requires:	qtdeclarative5
Requires:	qtquicktest5-devel
Requires:	qtquickcontrols5
Requires:   python3
Requires:	qttools5-designer
Requires:	qttools5-assistant
Requires:	qtbase5-devel
Requires:	qttools5

%description
Qt Creator (previously known as Project Greenhouse) is a lightweight,
cross-platform integrated development environment (IDE) designed to make
development with the Qt application framework even faster and easier.

#------------------------------------------------------------------------------


%files
%{_bindir}
%{_datadir}
%{_libdir}/qtcreator/
%{_libexecdir}
%{_sysconfdir}


#------------------------------------------------------------------------------

%prep
export USE_CCACHE=1
%setup -qn %{name}-opensource-src-%{version}
%apply_patches

# remove bundled qbs
rm -rf src/shared/qbs

%build
export CFLAGS="$CFLAGS -O3 -pipe -ffast-math"
export QTDIR="%{_qt5_prefix}"
export PATH="%{_qt5_bindir}:$PATH"

%cmake \
    -DBUILD_PLUGIN_CLANGREFACTORING=ON \
    -DBUILD_PLUGIN_CLANGPCHMANAGER=ON \
    -DWITH_DOCS=OFF \
    -Djournald=OFF \
    -DBUILD_DEVELOPER_DOCS=OFF \
    -DBUILD_WITH_PCH=OFF \
    -DCMAKE_INSTALL_LIBDIR=%{_lib} \
    -DCMAKE_INSTALL_LIBEXECDIR=libexec
        
%cmake_build

%install
%cmake_install

mkdir -p %{buildroot}%{_datadir}/mime/application
install -m 0644 %{SOURCE2} %{buildroot}%{_datadir}/mime/application

mkdir -p %{buildroot}%{_datadir}/applications
install -m 0644 %{SOURCE3} %{buildroot}%{_datadir}/applications/org.qt-project.qtcreator.desktop

# Use the new ld.so.conf.d
mkdir -p %{buildroot}%{_sysconfdir}/ld.so.conf.d
pushd %{buildroot}%{_sysconfdir}/ld.so.conf.d
echo "%{_libdir}/qtcreator" > qt-creator.conf
popd


%changelog
* Wed Sep 21 2022 tex - 8.0.1-2pclos2022
- rebuild against updates

* Sat Aug 20 2022 tex - 8.0.1-1pclos2022
- new version

* Thu Nov 04 2021 tex - 5.0.3-1pclos2021
- new version

* Wed Aug 04 2021 tex - 4.15.0-2pclos2021
- rebuild against updates

* Sun Jun 13 2021 tex - 4.15.0-1pclos2021
- new version
